Skip to main content
POST
Preview results

How to use this endpoint to list cards assigned to a user

To get all the cards assigned to a specific user, use the following example request:
Replace {team_id} with your workspace’s team ID and<user_id> with the ID of the user you want to filter for. This request will return all cards assigned to the selected user, excluding any cards with the statuses completed or cancelled. You can further adjust the filters (see below) to refine your search.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Query Parameters

cursor
string

cursor for pagination

count
integer

max number of items to return. defaults to 25

Body

application/json

Preview request. Must include a type and the corresponding set of filters

board_filters
object | null
card_filters
object | null
page_filters
object | null
type
enum<string>
Available options:
board,
card,
page
Example:

"card"

Response

Preview results

cursor
string
required
Example:

"dmsjqh9d8w1hdjosjaasda"

count
integer
required
Example:

14

boards
object[]
cards
object[]
pages
object[]